## opennms 21.0.3-1

=== solaris/Makefile ===
#
#   $Id$
#
# Copyright (c) 1999, 2008 Daniel J. Gregor, Jr., All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 
# THIS SOFTWARE IS PROVIDED BY DANIEL J. GREGOR, JR. ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL DANIEL J. GREGOR, JR. BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# Homepage for OpenNMS:
#	http://www.opennms.org/
#
# You can get the source at:
#	XXX fill this in XXX
#

all: build package

build:
	( cd .. && ./compile.pl clean && ./compile.pl -Dopennms.home=/opt/opennms install )

package:
	( cd .. && ./assemble.pl clean && ./assemble.pl -Dopennms.home=/opt/opennms -Dbuild.profile=full -Denable.snapshots=true -DupdatePolicy=always install )
	${MAKE} -f opennms.Makefile package

=== debian/changelog ===
opennms (21.0.3-1) stable; urgency=low

  * New minor stable release.  It contains mostly small bug fixes.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/21.0.3/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 18 Jan 2018 13:30:00 -0500

opennms (21.0.2-1) stable; urgency=high

  * New minor stable release.  It contains some UI security fixes, other bug fixes,
    and a few small enhancements.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/21.0.2/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 21 Dec 2017 10:00:00 -0500

opennms (21.0.1-1) stable; urgency=medium

  * New minor stable release.  It contains a few enhancements but is primarily a
    bugfix release, including a fix for the rendering issue in the topology UI
    and other Vaadin-based UI elements.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/21.0.1/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 16 Nov 2017 10:00:00 -0500

opennms (21.0.0-1) stable; urgency=low

  * New major stable release.  This release contains a few new features and a
    lot of under-the-hood cleanups.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/21.0.0/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 19 Oct 2017 10:00:00 -0500

opennms (20.1.0-1) stable; urgency=low

  * New stable release.  This release contains plenty of bug fixes and some
    new APIs.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/20.1.0/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 21 Sep 2017 11:31:00 -0500

opennms (20.0.2-1) stable; urgency=medium

  * New stable release.  This release contains a number of important bug fixes
    as well as a few small enhancements.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/20.0.2/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 17 Aug 2017 10:20:00 -0500

opennms (20.0.1-1) stable; urgency=high

  * New stable release.  This release contains a number of important bug fixes
    as well as a few small enhancements.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/20.0.1/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 06 Jul 2017 11:33:00 -0500

opennms (20.0.0-1) stable; urgency=medium

  * New major release.  This release contains a ton of bug fixes and a few new
    features.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/20.0.0/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 08 Jun 2017 10:26:00 -0500

opennms (19.1.0-1) stable; urgency=medium

  * New stable release.  This release contains a ton of bug fixes and a few new
    features.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/19.1.0/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Mon, 08 May 2017 10:34:00 -0500

opennms (19.0.1-1) stable; urgency=high

  * New stable release.  This release contains a number of important fixes for
    folks who have hit upgrade issues, and a few other small bug fixes.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/19.0.1/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 21 Feb 2017 11:53:00 -0500

opennms (19.0.0-1) stable; urgency=high

  * New stable release.  This is the first in the 19 series, with a ton of bug
    fixes and new features, most notably support for all major OpenNMS polling
    and collection features in the Minion.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/19.0.0/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Mon, 13 Feb 2017 12:00:00 -0500

opennms (18.0.4-1) stable; urgency=high

  * New stable release.  This release contains a number of bug fixes and
    enhancements, including a fix for a deadlock that can be triggered by using
    the topology UI and a rather large performance fix for startup if you are
    using BSM.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/18.0.4/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 05 Jan 2017 15:09:00 -0500

opennms (18.0.3-1) stable; urgency=high

  * New stable release.  This release contains a few bug fixes and a enhancements,
    and a fix for a discovery/provisioning regression that can cause duplicate nodes.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/18.0.3/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 05 Jan 2017 15:09:00 -0500

opennms (18.0.2-1) stable; urgency=high

  * New stable release.  This release contains a few bug fixes and enhancements.
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/18.0.2/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 20 Sep 2016 12:29:50 -0500

opennms (18.0.1-2) stable; urgency=medium

  * Fix a bash-ism in the install script.

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 28 Jul 2016 12:27:20 -0500

opennms (18.0.1-1) stable; urgency=low

  * New stable release.  This release contains a large number of bug fixes and
    a few enhancements.  For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/18.0.1/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 21 Jul 2016 10:26:44 -0500



=== debian/control ===
Source: opennms
Section: contrib/net
Priority: optional
Maintainer: Jeff Gehlbach <jeffg@opennms.org>
Build-Depends: oracle-java8-installer | openjdk-8-jdk | java8-jdk, debhelper (>= 5.0.42), po-debconf (>= 1.0.5), rsync, nsis
Standards-Version: 3.7.3

Package: opennms
Architecture: all
Depends: opennms-db (=${binary:Version}), opennms-server (=${binary:Version}), opennms-webapp-jetty (=${binary:Version})
Recommends: opennms-source (=${binary:Version})
Suggests: opennms-doc
Description: Enterprise-grade Open-source Network Management Platform (Full Install)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the components needed for a reasonable default
 installation of OpenNMS.

Package: opennms-source
Architecture: all
Depends: opennms-webapp-jetty (=${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (Source)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package contains the source tarball to be installed alongside the web UI
 for AGPL-compliance.

Package: opennms-db
Architecture: all
Depends: postgresql-10.0 | postgresql-9.6 | postgresql-9.5 | postgresql-9.4 | postgresql-9.3 | postgresql-9.2 | postgresql-9.1, iplike-pgsql10.0 | iplike-pgsql96 | iplike-pgsql95 | iplike-pgsql94 | iplike-pgsql93 | iplike-pgsql92 | iplike-pgsql91, debconf
Description: Enterprise-grade Open-source Network Management Platform (Database)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the database components required by OpenNMS.
 .
 This package may be installed on a separate machine from the opennms-server
 package.

Package: opennms-server
Architecture: all
Depends: opennms-common (=${binary:Version}), libopennms-java (=${binary:Version}), libopennmsdeps-java (=${binary:Version}), mailx
Suggests: jrrd2, rrdtool (>= 1.4.8), postgresql-client-10.0 | postgresql-client-9.6 | postgresql-client-9.5 | postgresql-client-9.4 | postgresql-client-9.3 | postgresql-client-9.2 | postgresql-client-9.1
Description: Enterprise-grade Open-source Network Management Platform (Daemon)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the OpenNMS backend daemon responsible for discovery,
 polling, data collection, notifications, etc (basically, anything that is not
 part of the web UI).

Package: opennms-remote-poller
Architecture: all
Conflicts: opennms-server
Depends: oracle-java8-installer | openjdk-8-jre | java8-runtime
Description: Enterprise-grade Open-source Network Management Platform (Remote Poller)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This is the standalone remote poller for OpenNMS.

Package: opennms-jmx-config-generator
Architecture: all
Depends: oracle-java8-installer | openjdk-8-jre | java8-runtime | java8-runtime-headless
Description: Enterprise-grade Open-source Network Management Platform (JMX Config Generator)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This is a utility for generating JMX configuration files.

Package: opennms-webapp-jetty
Architecture: all
Depends: opennms-server (=${binary:Version})
Conflicts: opennms-webapp
Description: Enterprise-grade Open-source Network Management Platform (Jetty Web UI)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the Jetty version of the OpenNMS web UI, which runs
 embedded in the main OpenNMS daemon.  The default URL for this
 web UI is 'http://yourhost:8180/opennms/'

Package: opennms-webapp-remoting
Architecture: all
Depends: opennms-webapp-jetty (=${binary:Version})
Replaces: opennms-webapp-jetty (<< 19.0.0)
Breaks: opennms-webapp-jetty (<< 19.0.0)
Description: Enterprise-grade Open-source Network Management Platform (Remote Poller JNLP webapp)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This webapp contains the JNLP application that provides the Remote Poller.

Package: opennms-ncs
Architecture: all
Depends: opennms-webapp-jetty (=${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (NCS)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides a framework for doing correlation of services across
 disparate nodes.

Package: opennms-common
Architecture: all
Depends: ${perl:Depends}, libdbi-perl, libdbd-pg-perl, libgetopt-mixed-perl
Recommends: libnet-snmp-perl, libxml2-utils, libwww-perl, libxml-twig-perl
Conflicts: opennms-plugin-protocol-xml (<<${binary:Version})
Replaces: opennms-plugin-protocol-xml (<<${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (Common Files)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the common files required by both the main OpenNMS daemon
 and the OpenNMS web UI.

Package: libopennms-java
Architecture: all
Depends: oracle-java8-installer | openjdk-8-jre | java8-runtime | java8-runtime-headless, jicmp (>= 2.0.0), jicmp6 (>= 2.0.0)
Conflicts: opennms-plugin-protocol-xml (<<${binary:Version})
Replaces: opennms-common (<< 1.3.0), libicmp-jni (<< 1.3.0), opennms-plugin-protocol-xml (<<${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (OpenNMS Libraries)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the OpenNMS Java libraries.

Package: libopennmsdeps-java
Architecture: all
Depends: oracle-java8-installer | openjdk-8-jre | java8-runtime | java8-runtime-headless
Description: Enterprise-grade Open-source Network Management Platform (Required Libraries)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the external Java libraries required by OpenNMS.

Package: opennms-doc
Section: contrib/doc
Architecture: all
Description: Enterprise-grade Open-source Network Management Platform (Documentation)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the user, administration, and programming documentation
 for OpenNMS.

Package: opennms-contrib
Architecture: all
Depends: opennms-common (=${binary:Version}), ${perl:Depends}
Description: Enterprise-grade Open-source Network Management Platform (Contrib)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .

=== debian/rules ===
#!/usr/bin/make -f

# $Id$

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export SHELL=/bin/bash

export JAVA_HOME=$(shell opennms-base-assembly/src/main/filtered/bin/find-java.sh 1.8 1.8.9999)

export OPTS_ASSEMBLIES=-Passemblies
export OPTS_PROFILES=-Prun-expensive-tasks

export BUILDDEFINES=\
	-Dopennms.home=/usr/share/opennms \
	-Ddist.dir=$(CURDIR)/debian -Ddist.name=temp \
	-Dinstall.dir=/usr/share/opennms \
	-Dinstall.init.dir=/etc/init.d \
	-Dinstall.rrdtool.bin=/usr/bin/rrdtool \
	-Dinstall.share.dir=/var/lib/opennms \
	-Dinstall.servlet.dir=/usr/share/opennms/webapps \
	-Dinstall.webapps.dir=/usr/share/opennms/webapps \
	-Dinstall.logs.dir=/var/log/opennms \
	-Dinstall.pid.file=/var/run/opennms.pid \
	-Dmaven.test.skip.exec=true \
	-DskipITs=true \
	-Dproduct.release=1 \
	-Dproduct.snapshot=true \
	-Daether.connector.basic.threads=1 \
	-Daether.connector.resumeDownloads=false \
	$(OPTS_PROFILES)

configure:

STAMP_BUILD = debian/stamp-build
build: configure $(STAMP_BUILD)
$(STAMP_BUILD):
	dh_testdir
	# -Duser.home=$(HOME) is needed to get maven to use the correct ~/.m2/ directory when being run with fakeroot
	@if [ -f "$$OPENNMS_SETTINGS_XML" ]; then \
		echo "using $$OPENNMS_SETTINGS_XML"; \
		if [ -z "$$OPENNMS_SKIP_COMPILE" ] || [ "$$OPENNMS_SKIP_COMPILE" = 0 ]; then \
			if [ -z "$$OPENNMS_ENABLE_SNAPSHOTS" ] || [ "$$OPENNMS_ENABLE_SNAPSHOTS" = 1 ]; then \
				./compile.pl -Denable.snapshots=true -DupdatePolicy=always -s $$OPENNMS_SETTINGS_XML $(BUILDDEFINES) install && \
				./assemble.pl -Denable.snapshots=true -DupdatePolicy=always -Dbuild.profile=fulldir -s $$OPENNMS_SETTINGS_XML $(BUILDDEFINES) install; \
			else \
				./compile.pl -DupdatePolicy=always -s $$OPENNMS_SETTINGS_XML $(BUILDDEFINES) install && \
				./assemble.pl -DupdatePolicy=always -Dbuild.profile=fulldir -s $$OPENNMS_SETTINGS_XML $(BUILDDEFINES) install; \
			fi; \
		else \
			if [ -z "$$OPENNMS_ENABLE_SNAPSHOTS" ] || [ "$$OPENNMS_ENABLE_SNAPSHOTS" = 1 ]; then \
				./assemble.pl -Denable.snapshots=true -DupdatePolicy=always -Dbuild.profile=fulldir -s $$OPENNMS_SETTINGS_XML $(BUILDDEFINES) install; \
			else \
				./assemble.pl -DupdatePolicy=always -Dbuild.profile=fulldir -s $$OPENNMS_SETTINGS_XML $(BUILDDEFINES) install; \
			fi; \
		fi; \
	else \
		if [ -z "$$OPENNMS_SKIP_COMPILE" ] || [ "$$OPENNMS_SKIP_COMPILE" = 0 ]; then \
			if [ -z "$$OPENNMS_ENABLE_SNAPSHOTS" ] || [ "$$OPENNMS_ENABLE_SNAPSHOTS" = 1 ]; then \
				./compile.pl -Denable.snapshots=true -DupdatePolicy=always -Duser.home=$(HOME) $(BUILDDEFINES) install && \
				./assemble.pl -Denable.snapshots=true -DupdatePolicy=always -Dbuild.profile=fulldir -Duser.home=$(HOME) $(BUILDDEFINES) install; \
			else \
				./compile.pl -DupdatePolicy=always -Duser.home=$(HOME) $(BUILDDEFINES) install && \
				./assemble.pl -DupdatePolicy=always -Dbuild.profile=fulldir -Duser.home=$(HOME) $(BUILDDEFINES) install; \
			fi; \
		else \
			if [ -z "$$OPENNMS_ENABLE_SNAPSHOTS" ] || [ "$$OPENNMS_ENABLE_SNAPSHOTS" = 1 ]; then \
				./assemble.pl -Denable.snapshots=true -DupdatePolicy=always -Dbuild.profile=fulldir $(BUILDDEFINES) install; \
			else \
				./assemble.pl -DupdatePolicy=always -Dbuild.profile=fulldir $(BUILDDEFINES) install; \
			fi; \
		fi; \
	fi
	find debian/temp -type d -name .svn -exec rm -rf {} \;
	find debian/temp -type d -name .git -exec rm -rf {} \;
	touch $(STAMP_BUILD)

clean:
	dh_testdir
	dh_testroot
	./compile.pl $(OPTS_PROFILES) $(OPTS_ASSEMBLIES) -Duser.home=$(HOME) -Ddist.dir=$(CURDIR)/debian -Ddist.name=temp clean
	rm -f opennms-remote-poller.{init,default}
	dh_clean
	rm -f $(STAMP_BUILD)

install: build
	dh_testdir
	dh_clean -k --exclude=temp
	dh_installdirs
	dh_testroot

	rsync -avr --exclude=examples debian/temp/etc/ debian/opennms-common/var/lib/opennms/etc-pristine/
	chmod -R go-w debian/opennms-common/var/lib/opennms/etc-pristine/

	##
	## Setup the alarm northbounders
	##
	install -d -m 755 debian/opennms-plugin-northbounder-jms/usr/share/java/opennms
	install -d -m 755 debian/opennms-plugin-northbounder-jms/etc/opennms
	install -d -m 755 debian/opennms-plugin-northbounder-jms/var/lib/opennms/etc-pristine
	mv debian/temp/lib/opennms-alarm-northbounder-jms-*.jar                                    debian/opennms-plugin-northbounder-jms/usr/share/java/opennms/
	mv debian/temp/etc/jms-northbounder-configuration.xml                                      debian/opennms-plugin-northbounder-jms/etc/opennms/
	mv debian/opennms-common/var/lib/opennms/etc-pristine/jms-northbounder-configuration.xml   debian/opennms-plugin-northbounder-jms/var/lib/opennms/etc-pristine/
	
	##
	## Setup the provision adapter packages
	##
	install -d -m 755 debian/opennms-plugin-provisioning-{dns,link,map,rancid,reverse-dns,snmp-asset,snmp-hardware-inventory}/usr/share/java/opennms
	install -d -m 755 debian/opennms-plugin-provisioning-{link,map,snmp-asset,snmp-hardware-inventory}/etc/opennms
	install -d -m 755 debian/opennms-plugin-provisioning-{link,map,snmp-asset,snmp-hardware-inventory}/var/lib/opennms/etc-pristine
	mv debian/temp/lib/opennms-dns-provisioning-adapter*.jar                 debian/opennms-plugin-provisioning-dns/usr/share/java/opennms/
	mv debian/temp/lib/opennms-reverse-dns-provisioning-adapter*.jar         debian/opennms-plugin-provisioning-reverse-dns/usr/share/java/opennms/
	mv debian/temp/lib/opennms-rancid-provisioning-adapter*.jar              debian/opennms-plugin-provisioning-rancid/usr/share/java/opennms/
	mv debian/temp/lib/opennms-snmp-asset-provisioning-adapter*.jar          debian/opennms-plugin-provisioning-snmp-asset/usr/share/java/opennms/
	mv debian/temp/lib/opennms-snmp-hardware-inventory-provisioning-adapter*.jar  debian/opennms-plugin-provisioning-snmp-hardware-inventory/usr/share/java/opennms/
	mv debian/temp/etc/snmp-asset-adapter-configuration.xml                  debian/opennms-plugin-provisioning-snmp-asset/etc/opennms/
	mv debian/temp/etc/snmp-hardware-inventory-adapter-configuration.xml     debian/opennms-plugin-provisioning-snmp-hardware-inventory/etc/opennms/
	find debian/opennms-plugin*/etc/opennms -type f -execdir chmod 644 {} \;
	
	# etc-pristine version
	mv debian/opennms-common/var/lib/opennms/etc-pristine/snmp-asset-adapter-configuration.xml debian/opennms-plugin-provisioning-snmp-asset/var/lib/opennms/etc-pristine/
	mv debian/opennms-common/var/lib/opennms/etc-pristine/snmp-hardware-inventory-adapter-configuration.xml debian/opennms-plugin-provisioning-snmp-hardware-inventory/var/lib/opennms/etc-pristine/
	
	##
	## Setup the protocol packages
	##
	install -d -m 755 debian/opennms-plugin-protocol-{cifs,dhcp,nsclient,radius,xmp}/usr/share/java/opennms
	install -d -m 755 debian/opennms-plugin-protocol-{cifs,dhcp,nsclient,radius,xmp}/usr/share/opennms/contrib
	install -d -m 755 debian/opennms-plugin-protocol-{cifs,dhcp,nsclient,radius,xmp}/etc/opennms
	install -d -m 755 debian/opennms-plugin-protocol-{cifs,dhcp,nsclient,radius,xmp}/var/lib/opennms/etc-pristine
	install -d -m 755 debian/opennms-plugin-protocol-{cifs,dhcp,nsclient,radius,xmp}/var/lib/opennms/xsds
	
	# Setup Juniper TCA collector
	install -d -m 755 debian/opennms-plugin-collector-juniper-tca/usr/share/java/opennms
	install -d -m 755 debian/opennms-plugin-collector-juniper-tca/usr/share/opennms/contrib
	install -d -m 755 debian/opennms-plugin-collector-juniper-tca/etc/opennms
	install -d -m 755 debian/opennms-plugin-collector-juniper-tca/var/lib/opennms/etc-pristine
	install -d -m 755 debian/opennms-plugin-collector-juniper-tca/var/lib/opennms/xsds
	install -d -m 755 debian/opennms-plugin-collector-juniper-tca/etc/opennms/{datacollection,snmp-graph.properties.d}
	
	# Setup ticketers
	install -d -m 755 debian/opennms-plugin-ticketer-{jira,otrs,rt}/usr/share/java/opennms
	install -d -m 755 debian/opennms-plugin-ticketer-{jira,otrs,rt}/etc/opennms
	install -d -m 755 debian/opennms-plugin-ticketer-{jira,otrs,rt}/var/lib/opennms/etc-pristine
	
	# Setup NCS

=== opennms-assemblies/minion/src/main/filtered/debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export JAVA_HOME=$(shell bin/find-java.sh 1.8 1.8.9999)
export PACKAGE_NAME="opennms-minion"
export CONTAINER_NAME="opennms-minion-container"

export MINION_PREFIX=/usr/share/minion
export RUNTIME_PREFIX=/var/lib/minion
export REPO_PREFIX=$(MINION_PREFIX)/repositories
export LOGDIR=/var/log/minion
export SYSCONFDIR=/etc/default
export ETCDIR=/etc/minion

%:
	dh $@

override_dh_auto_install:
	# make all the target directories
	mkdir -p \
		$$(pwd)/debian/$(PACKAGE_NAME)-{container,features-core,features-default}$(MINION_PREFIX) \
		$$(pwd)/debian/$(CONTAINER_NAME)$(MINION_PREFIX) \
		$$(pwd)/debian/$(CONTAINER_NAME)$(RUNTIME_PREFIX) \
		$$(pwd)/debian/$(CONTAINER_NAME)$(LOGDIR) \
		$$(pwd)/debian/$(CONTAINER_NAME)$(SYSCONFDIR)
	
	# copy all the files from the build tarball
	rsync -avr --exclude=debian $$(pwd)/ $$(pwd)/debian/$(CONTAINER_NAME)$(MINION_PREFIX)/
	
	# translate Minion prefix and etc directories in the init script, and put it in place
	sed -e "s,/opt/minion/etc,$(SYSCONFDIR),g" \
			-e "s,RUNAS=root,RUNAS=minion,g" \
			-e "s,/opt/minion,$(MINION_PREFIX),g" \
			$$(pwd)/etc/minion.init > $$(pwd)/debian/$(CONTAINER_NAME).minion.init \
		&& rm -f $$(pwd)/debian/$(CONTAINER_NAME)$(MINION_PREFIX)/etc/minion.init
	
	# move etc / data / deploy directories to where they will live
	mv $$(pwd)/debian/$(CONTAINER_NAME)$(MINION_PREFIX)/etc $$(pwd)/debian/$(CONTAINER_NAME)$(ETCDIR) \
		&& ln -s ../../..$(ETCDIR) $$(pwd)/debian/$(CONTAINER_NAME)$(MINION_PREFIX)/etc \
		&& mv $$(pwd)/debian/$(CONTAINER_NAME)$(MINION_PREFIX)/data $$(pwd)/debian/$(CONTAINER_NAME)$(RUNTIME_PREFIX)/ \
		&& ln -s ../../..$(RUNTIME_PREFIX)/data $$(pwd)/debian/$(CONTAINER_NAME)$(MINION_PREFIX)/data \
		&& mv $$(pwd)/debian/$(CONTAINER_NAME)$(MINION_PREFIX)/deploy $$(pwd)/debian/$(CONTAINER_NAME)$(RUNTIME_PREFIX)/ \
		&& ln -s ../../..$(RUNTIME_PREFIX)/deploy $$(pwd)/debian/$(CONTAINER_NAME)$(MINION_PREFIX)/deploy \
	
	# take care of some packaging/lintian warnings
	mkdir -p $$(pwd)/debian/$(PACKAGE_NAME)/usr/share/lintian/overrides
	install -c -m 644 $$(pwd)/debian/$(PACKAGE_NAME).lintian-overrides $$(pwd)/debian/$(PACKAGE_NAME)/usr/share/lintian/overrides/$(PACKAGE_NAME)
	mkdir -p $$(pwd)/debian/$(PACKAGE_NAME)-container/usr/share/lintian/overrides
	install -c -m 644 $$(pwd)/debian/$(PACKAGE_NAME)-container.lintian-overrides $$(pwd)/debian/$(PACKAGE_NAME)-container/usr/share/lintian/overrides/$(PACKAGE_NAME)-container
	mkdir -p $$(pwd)/debian/$(PACKAGE_NAME)-features-core/usr/share/lintian/overrides
	install -c -m 644 $$(pwd)/debian/$(PACKAGE_NAME)-features-core.lintian-overrides $$(pwd)/debian/$(PACKAGE_NAME)-features-core/usr/share/lintian/overrides/$(PACKAGE_NAME)-features-core
	mkdir -p $$(pwd)/debian/$(PACKAGE_NAME)-features-default/usr/share/lintian/overrides
	install -c -m 644 $$(pwd)/debian/$(PACKAGE_NAME)-features-default.lintian-overrides $$(pwd)/debian/$(PACKAGE_NAME)-features-default/usr/share/lintian/overrides/$(PACKAGE_NAME)-features-default
	rm -rf $$(pwd)/debian/$(CONTAINER_NAME)$(MINION_PREFIX)/COPYING
	
	# move the minion.conf to /etc/defaults and change the default RUNAS to minion
	sed -e "s,RUNAS=root,RUNAS=minion,g" $$(pwd)/debian/$(CONTAINER_NAME)$(ETCDIR)/minion.conf > $$(pwd)/debian/$(CONTAINER_NAME)$(SYSCONFDIR)/minion \
		&& rm -rf $$(pwd)/debian/$(CONTAINER_NAME)$(ETCDIR)/minion.conf
	
	# change the logging directory to /var/log/minion
	sed -e "s,.{karaf.data}/log,$(LOGDIR),g" -e 's,karaf.log,minion.log,g' $$(pwd)/etc/org.ops4j.pax.logging.cfg > $$(pwd)/debian/$(CONTAINER_NAME)$(ETCDIR)/org.ops4j.pax.logging.cfg
	
	# set the default location
	echo "location = MINION" > $$(pwd)/debian/$(CONTAINER_NAME)$(ETCDIR)/org.opennms.minion.controller.cfg \
		&& echo "id = 00000000-0000-0000-0000-000000ddba11" >> $$(pwd)/debian/$(CONTAINER_NAME)$(ETCDIR)/org.opennms.minion.controller.cfg
	
	# split out opennms-minion-features-core
	mkdir -p $$(pwd)/debian/$(PACKAGE_NAME)-features-core$(REPO_PREFIX)
	mv $$(pwd)/debian/$(CONTAINER_NAME)$(REPO_PREFIX)/core $$(pwd)/debian/$(PACKAGE_NAME)-features-core$(REPO_PREFIX)/core
	
	# split out opennms-minion-features-default
	mkdir -p $$(pwd)/debian/$(PACKAGE_NAME)-features-default$(REPO_PREFIX)
	mv $$(pwd)/debian/$(CONTAINER_NAME)$(REPO_PREFIX)/default $$(pwd)/debian/$(PACKAGE_NAME)-features-default$(REPO_PREFIX)/default
	
	# install the init script
	dh_installinit --package=$(CONTAINER_NAME) --name=minion --no-start -u"defaults 21 19"

## opennms 22.0.3-1

=== debian/changelog ===
opennms (22.0.3-1) stable; urgency=high

  * New stable release.  It contains a critical fix for RADIUS authentication,
    as well as a number of smaller bug fixes and enhancements.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/22.0.3/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 16 Aug 2018 10:11:00 -0500

opennms (22.0.2-1) stable; urgency=low

  * New stable release.  It contains a number of bug fixes and enhancements,
    including partial support for custom date formatting in the web UI.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/22.0.2/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 19 Jul 2018 15:10:00 -0500

opennms (22.0.1-1) stable; urgency=low

  * New stable release.  It contains a number of bug fixes and enhancements,
    including an update to Drools 7, performance improvements to the flow
    exporter ReST endpoint, and new karaf shell tools for diagnosing nodes.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/22.0.1/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 21 Jun 2018 12:20:00 -0500

opennms (22.0.0-1) stable; urgency=low

  * New major release.  It contains many bug fixes and enhancements, including
    support for flow telemetry.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/22.0.0/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Mon, 21 May 2018 13:31:00 -0500

opennms (21.1.0-1) stable; urgency=low

  * New stable release.  It contains bug fixes and a few enhancements, including
    support for forwarding events, alarms, and nodes to Kafka.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/21.1.0/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 19 Apr 2018 10:46:00 -0500

opennms (21.0.5-1) stable; urgency=low

  * New minor stable release.  It contains mostly bug fixes.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/21.0.5/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 15 Mar 2018 10:53:00 -0500

opennms (21.0.4-1) stable; urgency=low

  * New minor stable release.  It contains bug fixes and a few performance
    enhancements.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/21.0.4/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 15 Feb 2018 10:12:00 -0500

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 Package: opennms-db
 Architecture: all
-Depends: postgresql-10.0 | postgresql-9.6 | postgresql-9.5 | postgresql-9.4 | postgresql-9.3 | postgresql-9.2 | postgresql-9.1, iplike-pgsql10.0 | iplike-pgsql96 | iplike-pgsql95 | iplike-pgsql94 | iplike-pgsql93 | iplike-pgsql92 | iplike-pgsql91, debconf
+Depends: postgresql-10 | postgresql-9.6 | postgresql-9.5 | postgresql-9.4 | postgresql-9.3 | postgresql-9.2 | postgresql-9.1, iplike-pgsql10 | iplike-pgsql96 | iplike-pgsql95 | iplike-pgsql94 | iplike-pgsql93 | iplike-pgsql92 | iplike-pgsql91, debconf
 Description: Enterprise-grade Open-source Network Management Platform (Database)
  OpenNMS is an enterprise-grade network management system written in Java.
  .
@@ -57,7 +57,7 @@
 Package: opennms-server
 Architecture: all
 Depends: opennms-common (=${binary:Version}), libopennms-java (=${binary:Version}), libopennmsdeps-java (=${binary:Version}), mailx
-Suggests: jrrd2, rrdtool (>= 1.4.8), postgresql-client-10.0 | postgresql-client-9.6 | postgresql-client-9.5 | postgresql-client-9.4 | postgresql-client-9.3 | postgresql-client-9.2 | postgresql-client-9.1
+Suggests: jrrd2, rrdtool (>= 1.4.8), postgresql-client-10 | postgresql-client-9.6 | postgresql-client-9.5 | postgresql-client-9.4 | postgresql-client-9.3 | postgresql-client-9.2 | postgresql-client-9.1
 Description: Enterprise-grade Open-source Network Management Platform (Daemon)
  OpenNMS is an enterprise-grade network management system written in Java.
  .
@@ -132,6 +132,20 @@
  events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
  .
  This webapp contains the JNLP application that provides the Remote Poller.
+
+Package: opennms-webapp-hawtio
+Architecture: all
+Depends: opennms-server (=${binary:Version})
+Description: Enterprise-grade Open-source Network Management Platform (Hawtio Console)
+ OpenNMS is an enterprise-grade network management system written in Java.
+ .
+ OpenNMS can monitor various network services to determine status and service
+ level availability.  Data collection is performed using protocols such as SNMP
+ to generate reports and alert on thresholds.  An extensible event management
+ and notification system handles both internally and externally generated
+ events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
+ .
+ This webapp contains the Hawtio console.
 
 Package: opennms-ncs
 Architecture: all
@@ -208,18 +222,3 @@
  and notification system handles both internally and externally generated
  events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
  .
- This package provides the user, administration, and programming documentation
- for OpenNMS.
-
-Package: opennms-contrib
-Architecture: all
-Depends: opennms-common (=${binary:Version}), ${perl:Depends}
-Description: Enterprise-grade Open-source Network Management Platform (Contrib)
- OpenNMS is an enterprise-grade network management system written in Java.
- .
- OpenNMS can monitor various network services to determine status and service
- level availability.  Data collection is performed using protocols such as SNMP
- to generate reports and alert on thresholds.  An extensible event management
- and notification system handles both internally and externally generated
- events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
- .

=== opennms-assemblies/minion/src/main/filtered/debian/control ===
Source: opennms-minion
Maintainer: Benjamin Reed <ranger@opennms.org>
Section: contrib/net
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9), oracle-java8-installer | openjdk-8-jdk | java8-jdk, rsync

Package: opennms-minion
Architecture: all
Depends: opennms-minion-features-default (=${binary:Version})
Description: distributed OpenNMS monitoring client
 OpenNMS Minion is a container infrastructure for distributed, scalable network
 management and monitoring.
 .
 http://www.opennms.org/wiki/Minion

Package: opennms-minion-container
Architecture: all
Depends: oracle-java8-installer | openjdk-8-jre | java8-runtime | java8-runtime-headless, adduser, openssh-client, uuid-runtime, sudo, jicmp (>= 2.0.0), jicmp6 (>= 2.0.0)
Description: distributed OpenNMS monitoring client (main container)
 OpenNMS Minion is a container infrastructure for distributed, scalable network
 management and monitoring.
 .
 http://www.opennms.org/wiki/Minion

Package: opennms-minion-features-core
Architecture: all
Depends: opennms-minion-container (=${binary:Version})
Description: distributed OpenNMS monitoring client (core features)
 OpenNMS Minion is a container infrastructure for distributed, scalable network
 management and monitoring.
 .
 http://www.opennms.org/wiki/Minion

Package: opennms-minion-features-default
Architecture: all
Depends: opennms-minion-features-core (=${binary:Version})
Description: distributed OpenNMS monitoring client (default features)
 OpenNMS Minion is a container infrastructure for distributed, scalable network
 management and monitoring.
 .
 http://www.opennms.org/wiki/Minion

## opennms 23.0.2-1

=== debian/changelog ===
opennms (23.0.2-1) stable; urgency=low

  * New stable release.  It contains a number of bug fixes and enhancements,
    including performance improvements to topology maps, many fixes and
    improvements to Kafka support, and a bunch of correlation and alarm updates.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/23.0.2/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 17 Jan 2019 11:05:30 -0500

opennms (23.0.1-1) stable; urgency=low

  * New stable release.  It contains a number of bug fixes and enhancements,
    including additional HTTP proxy support, reliability updates, UI performance
    improvements, and a number of Kafka-related fixes.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/23.0.1/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 15 Nov 2018 11:21:45 -0500

opennms (23.0.0-1) stable; urgency=medium

  * New stable release.  It contains a number of bug fixes and enhancements,
    including support for alarm correlation, running OpenNMS components in an
    external container, and many other improvements.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/23.0.0/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 25 Oct 2018 12:32:16 -0500

opennms (22.0.4-1) stable; urgency=low

  * New stable release.  It contains a number of bug fixes and enhancements,
    including fixes in upgrades, flows, date handling, topology UI performance,
    and minion management.
    
    For details on what has changed, see:
    http://docs.opennms.org/opennms/releases/22.0.4/releasenotes/releasenotes.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Thu, 20 Sep 2018 12:22:27 +0100

=== opennms-assemblies/minion/src/main/filtered/debian/changelog ===
opennms-minion (19.0.0-0) UNRELEASED; urgency=low

  * Initial release.

 -- Benjamin Reed <ranger@opennms.org>  Tue, 18 Apr 2017 12:01:59 -0400

=== opennms-assemblies/minion/src/main/filtered/debian/rules ===
--- 
+++ 
@@ -31,6 +31,7 @@
 	sed -e "s,/opt/minion/etc,$(SYSCONFDIR),g" \
 			-e "s,RUNAS=root,RUNAS=minion,g" \
 			-e "s,/opt/minion,$(MINION_PREFIX),g" \
+			-e 's,PING_REQUIRED=FALSE,PING_REQUIRED=TRUE,g' \
 			$$(pwd)/etc/minion.init > $$(pwd)/debian/$(CONTAINER_NAME).minion.init \
 		&& rm -f $$(pwd)/debian/$(CONTAINER_NAME)$(MINION_PREFIX)/etc/minion.init
 	
@@ -54,7 +55,9 @@
 	rm -rf $$(pwd)/debian/$(CONTAINER_NAME)$(MINION_PREFIX)/COPYING
 	
 	# move the minion.conf to /etc/defaults and change the default RUNAS to minion
-	sed -e "s,RUNAS=root,RUNAS=minion,g" $$(pwd)/debian/$(CONTAINER_NAME)$(ETCDIR)/minion.conf > $$(pwd)/debian/$(CONTAINER_NAME)$(SYSCONFDIR)/minion \
+	sed -e "s,RUNAS=root,RUNAS=minion,g" \
+		-e 's,PING_REQUIRED=FALSE,PING_REQUIRED=TRUE,g' \
+		$$(pwd)/debian/$(CONTAINER_NAME)$(ETCDIR)/minion.conf > $$(pwd)/debian/$(CONTAINER_NAME)$(SYSCONFDIR)/minion \
 		&& rm -rf $$(pwd)/debian/$(CONTAINER_NAME)$(ETCDIR)/minion.conf
 	
 	# change the logging directory to /var/log/minion

=== opennms-assemblies/sentinel/src/main/filtered/debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export JAVA_HOME=$(shell bin/find-java.sh 1.8 1.8.9999)
export PACKAGE_NAME="opennms-sentinel"

export SENTINEL_PREFIX=/usr/share/sentinel
export RUNTIME_PREFIX=/var/lib/sentinel
export REPO_PREFIX=$(SENTINEL_PREFIX)/repositories
export LOGDIR=/var/log/sentinel
export SYSCONFDIR=/etc/default
export ETCDIR=/etc/sentinel

%:
	dh $@

override_dh_auto_install:
	# make all the target directories
	mkdir -p \
		$$(pwd)/debian/$(PACKAGE_NAME)$(SENTINEL_PREFIX) \
		$$(pwd)/debian/$(PACKAGE_NAME)$(RUNTIME_PREFIX) \
		$$(pwd)/debian/$(PACKAGE_NAME)$(LOGDIR) \
		$$(pwd)/debian/$(PACKAGE_NAME)$(SYSCONFDIR)
	
	# copy all the files from the build tarball
	rsync -avr --exclude=debian $$(pwd)/ $$(pwd)/debian/$(PACKAGE_NAME)$(SENTINEL_PREFIX)/
	
	# translate Sentinel prefix and etc directories in the init script, and put it in place
	sed -e "s,/opt/sentinel/etc,$(SYSCONFDIR),g" \
			-e "s,RUNAS=root,RUNAS=sentinel,g" \
			-e "s,/opt/sentinel,$(SENTINEL_PREFIX),g" \
			$$(pwd)/etc/sentinel.init > $$(pwd)/debian/$(PACKAGE_NAME).sentinel.init \
		&& rm -f $$(pwd)/debian/$(PACKAGE_NAME)$(SENTINEL_PREFIX)/etc/sentinel.init
	
	# move etc / data / deploy directories to where they will live
	mv $$(pwd)/debian/$(PACKAGE_NAME)$(SENTINEL_PREFIX)/etc $$(pwd)/debian/$(PACKAGE_NAME)$(ETCDIR) \
		&& ln -s ../../..$(ETCDIR) $$(pwd)/debian/$(PACKAGE_NAME)$(SENTINEL_PREFIX)/etc \
		&& mv $$(pwd)/debian/$(PACKAGE_NAME)$(SENTINEL_PREFIX)/data $$(pwd)/debian/$(PACKAGE_NAME)$(RUNTIME_PREFIX)/ \
		&& ln -s ../../..$(RUNTIME_PREFIX)/data $$(pwd)/debian/$(PACKAGE_NAME)$(SENTINEL_PREFIX)/data \
		&& mv $$(pwd)/debian/$(PACKAGE_NAME)$(SENTINEL_PREFIX)/deploy $$(pwd)/debian/$(PACKAGE_NAME)$(RUNTIME_PREFIX)/ \
		&& ln -s ../../..$(RUNTIME_PREFIX)/deploy $$(pwd)/debian/$(PACKAGE_NAME)$(SENTINEL_PREFIX)/deploy \
	
	# take care of some packaging/lintian warnings
	mkdir -p $$(pwd)/debian/$(PACKAGE_NAME)/usr/share/lintian/overrides
	install -c -m 644 $$(pwd)/debian/$(PACKAGE_NAME).lintian-overrides $$(pwd)/debian/$(PACKAGE_NAME)/usr/share/lintian/overrides/$(PACKAGE_NAME)
	rm -rf $$(pwd)/debian/$(PACKAGE_NAME)$(SENTINEL_PREFIX)/COPYING
	
	# move the sentinel.conf to /etc/defaults and change the default RUNAS to sentinel
	sed -e "s,RUNAS=root,RUNAS=sentinel,g" $$(pwd)/debian/$(PACKAGE_NAME)$(ETCDIR)/sentinel.conf > $$(pwd)/debian/$(PACKAGE_NAME)$(SYSCONFDIR)/sentinel \
		&& rm -rf $$(pwd)/debian/$(PACKAGE_NAME)$(ETCDIR)/sentinel.conf
	
	# change the logging directory to /var/log/sentinel
	sed -e "s,.{karaf.data}/log,$(LOGDIR),g" -e 's,karaf.log,sentinel.log,g' $$(pwd)/etc/org.ops4j.pax.logging.cfg > $$(pwd)/debian/$(PACKAGE_NAME)$(ETCDIR)/org.ops4j.pax.logging.cfg
	
	# install the init script
	dh_installinit --package=$(PACKAGE_NAME) --name=sentinel --no-start -u"defaults 21 19"
